## jpegparse jpegparse — JPEG parser |

## Functions

#define | GST_JPEG_PARSE()
#define | GST_JPEG_PARSE_CLASS()
#define | GST_IS_JPEG_PARSE()
#define | GST_IS_JPEG_PARSE_CLASS()
GType | gst_jpeg_parse_get_type ()

## Types and Values

struct | GstJpegParse
struct | GstJpegParseClass
#define | GST_TYPE_JPEG_PARSE

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstJpegParse

## Description

Parses a JPEG stream into JPEG images. It looks for EOI boundaries to split a continuous stream into single-frame buffers. Also reads the image header searching for image properties such as width and height among others. Jpegparse can also extract metadata (e.g. xmp).

### Example launch line

    1
    gst-launch -v souphttpsrc location=... ! jpegparse ! matroskamux ! filesink location=...

The above pipeline fetches a motion JPEG stream from an IP camera over HTTP and stores it in a matroska file.

## Synopsis

### Element Information

plugin | jpegformat
author | Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
class | Video/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg

name | src
direction | source
presence | always
details | image/jpeg, format=(string){ I420, Y41B, UYVY, YV12 }, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], interlaced=(boolean){ true, false }, framerate=(fraction)[ 0/1, 2147483647/1 ], parsed=(boolean)true

## Functions

### GST_JPEG_PARSE()

    #define             GST_JPEG_PARSE(obj)

### GST_JPEG_PARSE_CLASS()

    #define             GST_JPEG_PARSE_CLASS(klass)

### GST_IS_JPEG_PARSE()

    #define             GST_IS_JPEG_PARSE(obj)

### GST_IS_JPEG_PARSE_CLASS()

    #define             GST_IS_JPEG_PARSE_CLASS(klass)

### gst_jpeg_parse_get_type ()

    GType
    gst_jpeg_parse_get_type (void);

#### Returns

## Types and Values

### struct GstJpegParse

    struct GstJpegParse;

### struct GstJpegParseClass

    struct GstJpegParseClass {
      GstElementClass  parent_class;
    };

### GST_TYPE_JPEG_PARSE

    #define             GST_TYPE_JPEG_PARSE